namespace Indotalent.ConfigBackEnd.Interfaces;

public interface ICurrentUserService
{
    string? UserId { get; set; }
    string? UserName { get; set; }
    string? Email { get; set; }
    string? FullName { get; set; }
    Task<bool> IsInRoleAsync(string role);
    Task<bool> HasPermissionAsync(string permission);
}
